# -*- rpm-spec -*-
# $Id: tcl-snack,v 1.19 2006/07/22 13:48:25 me Exp $

# not yet
%def_without alsa

%define teaname snack

Name: tcl-%teaname
Version: 2.2.10
Release: alt1

Summary: Snack - a sound toolkit for scripting languages
License: GPL
Group: Development/Tcl
Url: http://www.speech.kth.se/snack/

Source: http://www.speech.kth.se/~kare/%teaname%version.tar.bz2
Patch0: %teaname-2.2.10-make.patch

Requires: tcl >= 8.4.0-alt1 tcl-sound = %version-%release

%if_with alsa
BuildRequires: libalsa-devel
%endif
BuildRequires: libogg-devel libvorbis-devel tcl-devel >= 8.4.0-alt1 tk-devel >= 8.4.0-alt1

Provides: %teaname
Obsoletes: %teaname

%package -n tcl-sound
Summary: Snack - a sound toolkit for scripting languages
License: GPL
Group: Development/Tcl

%package demos
Summary: A collection of programs to demonstrate the features of the Snack
Group: Development/Tcl
Requires: %name = %version-%release tk >= 8.4.0-alt1
Provides: %teaname-demos
Obsoletes: %teaname-demos

%description
Snack is a sound processing toolkit designed as an extension
to a scripting language. Snack currently works with the scripting
languages Tcl/Tk, Python and Ruby.

This package contains snack Tcl extension.

%description -n tcl-sound
Snack is a sound processing toolkit designed as an extension
to a scripting language. Snack currently works with the scripting
languages Tcl/Tk, Python and Ruby.

This package contains sound Tcl extension.

%description demos
Snack is a sound processing toolkit designed as an extension
to a scripting language. Snack currently works with the scripting
languages Tcl/Tk, Python and Ruby.

This package contains a collection of programs to demonstrate
the features of Snack

%prep
%setup -q -n%teaname%version
%patch0 -p1
sed -i 's/@lib@/%_lib/' unix/pkgIndex.tcl.dll

%build

cd unix
%add_optflags %optflags_debug
%configure \
    --with-tcl=%_libdir \
    --with-tk=%_libdir \
    --with-ogg-lib=%_libdir \
    --with-ogg-include=%_includedir \
    %{?_with_alsa:--enable-alsa} \
    #
%make_build

%install
%__mkdir_p %buildroot%_tcldatadir/%teaname%version/demos %buildroot%_tcllibdir
%__install -m0644 unix/libs*.so %buildroot%_tcllibdir
%__install -p -m0644 unix/snack.tcl %buildroot%_tcldatadir/%teaname%version
%__install -p -m0644 unix/pkgIndex.tcl.dll %buildroot%_tcldatadir/%teaname%version/pkgIndex.tcl
%__rm -f demos/tcl/{freewrap,tclkit*,sdx}
%__install -p -m0644 demos/tcl/* %buildroot%_tcldatadir/%teaname%version/demos
%__chmod 0644 doc/*

%tea_makeindex -v -f libsound.so -C %buildroot%_tcldatadir/sound%version

%files
%doc COPYING README
%doc doc/* 
%_tcllibdir/libsnack.so
%_tcllibdir/libsnackogg.so
%_tcldatadir/%teaname%version
%exclude %_tcldatadir/%teaname%version/demos

%files -n tcl-sound
%_tcllibdir/libsound.so
%_tcldatadir/sound%version/*

%files demos
%_tcldatadir/%teaname%version/demos

%changelog
* Sat Jul 22 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.2.10-alt1
- 2.2.10

* Wed Dec 22 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.2.9-alt1
- 2.2.9

* Fri May 14 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.2.5-alt1
- 2.2.5
- sound subpackage
- eliminated code duplication in snack and sound

* Fri Dec 12 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Sat Jul 12 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 2.2.2-alt1
- 2.2.2

* Tue Mar 11 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 2.2-alt3
- 2.2.1 release

* Mon Sep 30 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.2-alt2
- 2.2b1

* Sat May 18 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.2-alt1
- 2.2a1

* Fri Nov 30 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.1.4-alt2
- fixed requires in demos subpackage

* Wed Nov 28 2001 Sergey Bolshakov <s.bolshakov@belcaf.com>  2.1.4-alt1
- Initial build for ALT Linux distribution.

